Package org.apache.uima.resource.metadata

# Interface TypePriorityList

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

All Known Implementing Classes:
  `TypePriorityList_impl`

public interface TypePriorityList extends MetaDataObject
Declares a relative priority between CAS types. This object contains a single list of types. One or more `TypePriorityList` objects can be grouped together to define a complete `TypePriorities` declaration for a type system.

This object implements `MetaDataObject`, which implements `XMLizable`, so it can be serialized to and deserialized from an XML element.

See Also:
  - `TypePriorities`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TypePriorityList[]`
  `EMPTY_TYPE_PRIORITY_LISTS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addType(String aTypeName)`
  Adds a type at the end of the priority list.
  `String[]`
  `getTypes()`
  Gets the type names, in order of their priority.
  `void`
  `removeType(String aTypeName)`
  Removes a type from the priority list.
  `void`
  `setTypes(String[] aTypeNames)`
  Sets the type names, in order of their priority.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Field Details

  - ### EMPTY_TYPE_PRIORITY_LISTS

    static final TypePriorityList[] EMPTY_TYPE_PRIORITY_LISTS

- ## Method Details

  - ### getTypes

    String[] getTypes()
    Gets the type names, in order of their priority.
    Returns:
      an array of type names, in order of their priority

  - ### setTypes

    void setTypes(String[] aTypeNames)
    Sets the type names, in order of their priority.
    Parameters:
      `aTypeNames` - an array type names, in order of their priority

  - ### addType

    void addType(String aTypeName)
    Adds a type at the end of the priority list.
    Parameters:
      `aTypeName` - the type name to add

  - ### removeType

    void removeType(String aTypeName)
    Removes a type from the priority list.
    Parameters:
      `aTypeName` - the type name to remove